Ticket #4168 (closed defect: fixed)

Opened 8 years ago

Last modified 7 years ago

コメントを許可しない時のコメント返信ボタン(リンク)の表示

Reported by: pnetan Assigned to: imamura623
Priority: minor Milestone: OpenPNE2.14.2
Component: 指定しない Version: 2.14.x
Keywords: Cc:

Description (Last modified by imamura623)

■現象

コメントを許可しない時のコメント返信ボタン(リンク)が表示されてしまう

■原因

コメント返信ボタン(リンク)の表示・非表示の条件設定にコメント許可・許可しないの条件が足りなかった

■修正内容

コメント返信ボタン(リンク)の表示・非表示の条件にコメント許可・許可しないの条件を追加(テンプレートのif文に$is_comment_inputを追加)

■関連情報

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=4664より転記

②コメント返信ボタン(リンク)の表示

これは上記①の結果にもよるのですが。
コメント返信機能を有効にし、上記①のようにコメントを拒否した状態で既存コメントが表示されると、各コメントに返信ボタン(携帯では返信リンク)も表示されてしまい、ボタンを押下するとスクリプトエラーとなります。
既存コメントが表示されなければ特に問題は無いのですが。。。
念のため、PC版と携帯版の両方のテンプレート(fh_diary.tpl)に、コメント拒否状態の場合は返信ボタン・リンクを表示しないように判定条件($is_comment_input)を追加して回避しました。

Change History

07/24/09 15:33:49 changed by pnetan

  • description changed.

08/19/09 17:09:02 changed by nakasone

  • keywords deleted.

以下のような確認を行ったところ再現できました。

■確認ブラウザ

  • FireFox3

■確認バージョン

  • 2.14.x

■手順

  1. 日記を書く→コメントを許可する、で作成
  2. 手順1で作成した日記にコメントを付ける
  3. 手順1で作成した日記を編集→コメントを許可しない、に変更
  4. 手順2で書きこんだコメントを見るとコメント返信ボタンが表示されている

08/26/09 13:43:29 changed by imamura623

  • description changed.

Descriptionが見にくいので、関係のない部分を削除

08/26/09 13:45:04 changed by imamura623

  • milestone set to OpenPNE2.14.2.

09/04/09 18:31:15 changed by imamura623

  • owner changed from nobody to imamura623.
  • status changed from new to assigned.

09/04/09 20:20:48 changed by imamura623

  • keywords set to 確認中.

コメントを許可しない時の返信ボタンの非表示に対応

  • r12838で2.14xへコミット
  • r12839でtrunkへコミット

09/04/09 21:02:30 changed by imamura623

  • description changed.

09/04/09 21:06:14 changed by imamura623

  • description changed.

10/14/09 19:15:35 changed by imamura623

kudoさんに動作テストしてもらいました。問題ありません。

10/15/09 21:55:22 changed by urabe

  • keywords changed from 確認中 to 差し戻し.

if文の順序を統一してください。(もともと統一されていなかったので申し訳ないですが・・)

* webapp/modules/ktai/templates/fh_diary.tpl

  • 56: ({if $smarty.const.USE_RESPONSE_COMMENT && $is_writable_comment && $is_comment_input})

* webapp/modules/pc/templates/fh_diary.tpl

  • 188: ({if $is_writable_comment && $smarty.const.USE_RESPONSE_COMMENT && $is_comment_input})

まず、機能の設定となる $smarty.const.USE_RESPONSE_COMMENT を最初にもってきて、次に、$is_writable_comment または $is_comment_input とするのが適切だと考えられます。

10/16/09 11:37:46 changed by imamura623

  • keywords changed from 差し戻し to 確認中.

if文の順序を統一しました。

  • r13007でstable-2.14.xにコミット
  • r13008でtrunkにコミット

10/16/09 12:20:44 changed by urabe

  • keywords changed from 確認中 to テスト待ち.

確認しました。

(follow-up: ↓ 14 ) 10/16/09 17:45:41 changed by kiwa

  • keywords changed from テスト待ち to 差し戻し.

以下の手順により、コメント返信ボタンが表示されない日記コメントが作成されます。

  1. 管理画面より、日記コメント禁止機能使用設定を「使用する」にする
  2. コメント可能な日記「日記A」を作成する
  3. 日記Aに対して1件以上のコメントを行う
  4. 日記Aの日記コメント許可設定を「許可しない」に設定する
  5. 管理画面より、日記コメント禁止機能使用設定を「使用しない」にする
  6. 日記Aにアクセスする
  7. 日記Aのコメント一覧にコメント返信ボタンが表示されない

(in reply to: ↑ 13 ) 10/19/09 12:04:43 changed by imamura623

  • keywords changed from 差し戻し to 確認中.

Replying to kiwa:

修正しました。

  • r13021でtrunkにコミット
  • r13022でstable-2.14.xにコミット

10/19/09 15:33:39 changed by urabe

  • webapp/modules/ktai/templates/fh_diary.tpl
57	({if !$smarty.const.OPENPNE_USE_DIARY_COMMENT or $is_comment_input})
or ではなく、他のテンプレートの記述に沿って を使うようにしてください。(PC 携帯 共に)
59	({/if})({/if})<br>
  • 追加した 59行目の if の閉じ場所が if 文の開始場所が一行ずつ使っているのに対し、一行になっているので統一してください。(携帯のみ)

(follow-up: ↓ 17 ) 10/19/09 15:34:37 changed by urabe

  • keywords changed from 確認中 to 差し戻し.

消えてるので追記

  • or ではなく、他のテンプレートの記述に沿って 縦棒二つ (||)を使うようにしてください。(PC 携帯 共に)

(in reply to: ↑ 16 ) 10/19/09 17:03:37 changed by imamura623

  • keywords changed from 差し戻し to 確認中.

Replying to urabe:

修正しました。

  • r13023でstable-2.14.xにコミット
  • r13024でtrunkにコミット

10/19/09 17:32:50 changed by urabe

  • keywords changed from 確認中 to テスト待ち.

確認しました。OKです

10/19/09 17:47:49 changed by kiwa

  • keywords deleted.
  • status changed from assigned to closed.
  • resolution set to fixed.

動作再確認しました。問題ありません。